﻿@model IEnumerable<AlisProject.Models.Car>

@{
    ViewBag.Title = "Index";
}

     <h2>لیست</h2>

<p>
    @Html.ActionLink("افزودن", "Create")
</p>
<table id="example" class="display" style="width:100%">
    <thead>
        <tr>
            <th>
                @Html.DisplayNameFor(model => model.License_Plate)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Name)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.ChassisNumber)
            </th>
            <th>
                @Html.DisplayNameFor(model => model.Description)
            </th>
            <th></th>
        </tr>
    </thead>
    <tbody>
        @foreach (var item in Model)
        {
            <tr>
                <td>
                    @Html.DisplayFor(modelItem => item.License_Plate)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Name)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.ChassisNumber)
                </td>
                <td>
                    @Html.DisplayFor(modelItem => item.Description)
                </td>
                <td>
                    @Html.ActionLink("ویرایش", "Edit", new { id = item.ObjectId }) |
                    @Html.ActionLink("مشاهده جزئیات", "Details", new { id = item.ObjectId }) |
                    @Html.ActionLink("حذف", "Delete", new { id = item.ObjectId })
                </td>
            </tr>
        }
    </tbody>
</table>

@section script{
    <!-- Content Here -->

    <script sec="https://code.jquery.com/jquery-3.5.1.js"></script>
    <script src="https://cdn.datatables.net/1.10.21/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#example').DataTable();
        });
    </script>
}